
CREATE TABLE ADMWNRMC (
       ANRMC_EMPRESA         CHAR(2)   NOT NULL,
       ANRMC_UNIDADE         CHAR(8)   NOT NULL,
       ANRMC_NUM_NRM         CHAR(10)  NOT NULL,
       ANRMC_TIPO_REC        CHAR(1)   NOT NULL,
       ANRMC_ANALISE         CHAR(2)   NOT NULL,
       ANRMC_MATR_CAD        CHAR(15)  NOT NULL,
       ANRMC_DATA_CAD        CHAR(8)   NOT NULL,
       ANRMC_DATA_CHE        CHAR(8)   NOT NULL,
       ANRMC_HORA_CHE        CHAR(10)  NOT NULL,
       ANRMC_TIPO            CHAR(1)   NOT NULL,
       ANRMC_FORNECEDOR      CHAR(5)   NOT NULL,
       ANRMC_TIPO_NF         CHAR(3)   NOT NULL,
       ANRMC_SERIE_NF        CHAR(3)   NOT NULL,
       ANRMC_NUM_NF          CHAR(10)  NOT NULL,
       ANRMC_DATA_EMISSAO    CHAR(8)   NOT NULL,
       ANRMC_NAT_OPER        CHAR(8)   NOT NULL,
       ANRMC_COND_FRETE      CHAR(2)   NOT NULL,
       ANRMC_CHAVE_NFE       CHAR(44)  NOT NULL,
       ANRMC_PROTOCOLO       CHAR(15)  NOT NULL,
       ANRMC_DATA_AUTO       CHAR(8)   NOT NULL,
       ANRMC_HORA_AUTO       CHAR(10)  NOT NULL,
       ANRMC_MATR_AUTO       CHAR(15)  NOT NULL,
       ANRMC_BASE_IRRF       DEC(12,2) NOT NULL,
       ANRMC_BASE_INSS       DEC(12,2) NOT NULL,
       ANRMC_BASE_CSLL       DEC(12,2) NOT NULL,
       ANRMC_BASE_ISSRF      DEC(12,2) NOT NULL,
       ANRMC_BASE_PISRF      DEC(12,2) NOT NULL,
       ANRMC_BASE_COFRF      DEC(12,2) NOT NULL,
       ANRMC_VALOR_IRRF      DEC(12,2) NOT NULL,
       ANRMC_VALOR_INSS      DEC(12,2) NOT NULL,
       ANRMC_VALOR_CSLL      DEC(12,2) NOT NULL,
       ANRMC_VALOR_ISSRF     DEC(12,2) NOT NULL,
       ANRMC_VALOR_PISRF     DEC(12,2) NOT NULL,
       ANRMC_VALOR_COFRF     DEC(12,2) NOT NULL,
       ANRMC_VALOR_RURAL     DEC(12,2) NOT NULL,
       ANRMC_VALOR_RAT       DEC(12,2) NOT NULL,
       ANRMC_VALOR_SENAR     DEC(12,2) NOT NULL,
       ANRMC_VALOR_DESP1     DEC(12,2) NOT NULL,
       ANRMC_VALOR_DESP2     DEC(12,2) NOT NULL,
       ANRMC_VALOR_DESP3     DEC(12,2) NOT NULL,
       ANRMC_VALOR_FRETE     DEC(12,2) NOT NULL,
       ANRMC_VALOR_SEGURO    DEC(12,2) NOT NULL,
       ANRMC_VALOR_NF        DEC(12,2) NOT NULL,
       ANRMC_VALOR_ITENS     DEC(12,2) NOT NULL,
       ANRMC_NRO_LINHAS      DEC(3,0)  NOT NULL,
       ANRMC_PERC_IRRF       DEC(4,2)  NOT NULL,
       ANRMC_PERC_INSS       DEC(4,2)  NOT NULL,
       ANRMC_PERC_CSLL       DEC(4,2)  NOT NULL,
       ANRMC_PERC_ISSRF      DEC(4,2)  NOT NULL,
       ANRMC_PERC_PISRF      DEC(4,2)  NOT NULL,
       ANRMC_PERC_COFRF      DEC(4,2)  NOT NULL,
       ANRMC_FLAG_FRETE      CHAR(1)   NOT NULL,
       ANRMC_FLAG_CTB        CHAR(1)   NOT NULL,
       ANRMC_FLAG_LVF        CHAR(1)   NOT NULL );

INSERT INTO ADMWNRMC SELECT ANRMC_EMPRESA,ANRMC_UNIDADE,ANRMC_NUM_NRM,
ANRMC_TIPO_REC,ANRMC_ANALISE,ANRMC_MATR_CAD,ANRMC_DATA_CAD,ANRMC_DATA_CHE,
ANRMC_HORA_CHE,ANRMC_TIPO,ANRMC_FORNECEDOR,ANRMC_TIPO_NF,ANRMC_SERIE_NF,
ANRMC_NUM_NF,ANRMC_DATA_EMISSAO,ANRMC_NAT_OPER,ANRMC_COND_FRETE,
ANRMC_CHAVE_NFE,ANRMC_PROTOCOLO,ANRMC_DATA_AUTO,ANRMC_HORA_AUTO,
ANRMC_MATR_AUTO,ANRMC_BASE_IRRF,ANRMC_BASE_INSS,ANRMC_BASE_CSLL,
ANRMC_BASE_ISSRF,ANRMC_BASE_PISRF,ANRMC_BASE_COFRF,ANRMC_VALOR_IRRF,
ANRMC_VALOR_INSS,ANRMC_VALOR_CSLL,ANRMC_VALOR_ISSRF,ANRMC_VALOR_PISRF,
ANRMC_VALOR_COFRF,0,0,0,ANRMC_VALOR_DESP1,ANRMC_VALOR_DESP2,ANRMC_VALOR_DESP3,
ANRMC_VALOR_FRETE,ANRMC_VALOR_SEGURO,ANRMC_VALOR_NF,ANRMC_VALOR_ITENS,
ANRMC_NRO_LINHAS,ANRMC_PERC_IRRF,ANRMC_PERC_INSS,ANRMC_PERC_CSLL,
ANRMC_PERC_ISSRF,ANRMC_PERC_PISRF,ANRMC_PERC_COFRF,ANRMC_FLAG_FRETE,
ANRMC_FLAG_CTB,ANRMC_FLAG_LVF FROM ADMANRMC;

DROP TABLE ADMANRMC;

CREATE TABLE ADMANRMC (
       ANRMC_EMPRESA         CHAR(2)   NOT NULL,
       ANRMC_UNIDADE         CHAR(8)   NOT NULL,
       ANRMC_NUM_NRM         CHAR(10)  NOT NULL,
       ANRMC_TIPO_REC        CHAR(1)   NOT NULL,
       ANRMC_ANALISE         CHAR(2)   NOT NULL,
       ANRMC_MATR_CAD        CHAR(15)  NOT NULL,
       ANRMC_DATA_CAD        CHAR(8)   NOT NULL,
       ANRMC_DATA_CHE        CHAR(8)   NOT NULL,
       ANRMC_HORA_CHE        CHAR(10)  NOT NULL,
       ANRMC_TIPO            CHAR(1)   NOT NULL,
       ANRMC_FORNECEDOR      CHAR(5)   NOT NULL,
       ANRMC_TIPO_NF         CHAR(3)   NOT NULL,
       ANRMC_SERIE_NF        CHAR(3)   NOT NULL,
       ANRMC_NUM_NF          CHAR(10)  NOT NULL,
       ANRMC_DATA_EMISSAO    CHAR(8)   NOT NULL,
       ANRMC_NAT_OPER        CHAR(8)   NOT NULL,
       ANRMC_COND_FRETE      CHAR(2)   NOT NULL,
       ANRMC_CHAVE_NFE       CHAR(44)  NOT NULL,
       ANRMC_PROTOCOLO       CHAR(15)  NOT NULL,
       ANRMC_DATA_AUTO       CHAR(8)   NOT NULL,
       ANRMC_HORA_AUTO       CHAR(10)  NOT NULL,
       ANRMC_MATR_AUTO       CHAR(15)  NOT NULL,
       ANRMC_BASE_IRRF       DEC(12,2) NOT NULL,
       ANRMC_BASE_INSS       DEC(12,2) NOT NULL,
       ANRMC_BASE_CSLL       DEC(12,2) NOT NULL,
       ANRMC_BASE_ISSRF      DEC(12,2) NOT NULL,
       ANRMC_BASE_PISRF      DEC(12,2) NOT NULL,
       ANRMC_BASE_COFRF      DEC(12,2) NOT NULL,
       ANRMC_VALOR_IRRF      DEC(12,2) NOT NULL,
       ANRMC_VALOR_INSS      DEC(12,2) NOT NULL,
       ANRMC_VALOR_CSLL      DEC(12,2) NOT NULL,
       ANRMC_VALOR_ISSRF     DEC(12,2) NOT NULL,
       ANRMC_VALOR_PISRF     DEC(12,2) NOT NULL,
       ANRMC_VALOR_COFRF     DEC(12,2) NOT NULL,
       ANRMC_VALOR_RURAL     DEC(12,2) NOT NULL,
       ANRMC_VALOR_RAT       DEC(12,2) NOT NULL,
       ANRMC_VALOR_SENAR     DEC(12,2) NOT NULL,
       ANRMC_VALOR_DESP1     DEC(12,2) NOT NULL,
       ANRMC_VALOR_DESP2     DEC(12,2) NOT NULL,
       ANRMC_VALOR_DESP3     DEC(12,2) NOT NULL,
       ANRMC_VALOR_FRETE     DEC(12,2) NOT NULL,
       ANRMC_VALOR_SEGURO    DEC(12,2) NOT NULL,
       ANRMC_VALOR_NF        DEC(12,2) NOT NULL,
       ANRMC_VALOR_ITENS     DEC(12,2) NOT NULL,
       ANRMC_NRO_LINHAS      DEC(3,0)  NOT NULL,
       ANRMC_PERC_IRRF       DEC(4,2)  NOT NULL,
       ANRMC_PERC_INSS       DEC(4,2)  NOT NULL,
       ANRMC_PERC_CSLL       DEC(4,2)  NOT NULL,
       ANRMC_PERC_ISSRF      DEC(4,2)  NOT NULL,
       ANRMC_PERC_PISRF      DEC(4,2)  NOT NULL,
       ANRMC_PERC_COFRF      DEC(4,2)  NOT NULL,
       ANRMC_FLAG_FRETE      CHAR(1)   NOT NULL,
       ANRMC_FLAG_CTB        CHAR(1)   NOT NULL,
       ANRMC_FLAG_LVF        CHAR(1)   NOT NULL );

INSERT INTO ADMANRMC SELECT * FROM ADMWNRMC;

CREATE UNIQUE INDEX ADM1NRMC  ON ADMANRMC ( ANRMC_EMPRESA,
                                            ANRMC_UNIDADE,
                                            ANRMC_NUM_NRM );
CREATE        INDEX ADM2NRMC  ON ADMANRMC ( ANRMC_EMPRESA,
                                            ANRMC_UNIDADE,
                                            ANRMC_DATA_CAD );
CREATE        INDEX ADM3NRMC  ON ADMANRMC ( ANRMC_EMPRESA,
                                            ANRMC_UNIDADE,
                                            ANRMC_DATA_CHE,
                                            ANRMC_HORA_CHE );
CREATE        INDEX ADM4NRMC  ON ADMANRMC ( ANRMC_EMPRESA,
                                            ANRMC_UNIDADE,
                                            ANRMC_TIPO,
                                            ANRMC_FORNECEDOR,
                                            ANRMC_TIPO_NF,
                                            ANRMC_SERIE_NF,
                                            ANRMC_NUM_NF,
                                            ANRMC_NUM_NRM );
CREATE        INDEX ADM5NRMC  ON ADMANRMC ( ANRMC_EMPRESA,
                                            ANRMC_UNIDADE,
                                            ANRMC_DATA_EMISSAO );
CREATE        INDEX ADM6NRMC  ON ADMANRMC ( ANRMC_EMPRESA,
                                            ANRMC_UNIDADE,
                                            ANRMC_TIPO_NF );
CREATE        INDEX ADM7NRMC  ON ADMANRMC ( ANRMC_MATR_CAD );
CREATE        INDEX ADM8NRMC  ON ADMANRMC ( ANRMC_NAT_OPER );
CREATE        INDEX ADM9NRMC  ON ADMANRMC ( ANRMC_SERIE_NF );
CREATE        INDEX ADM10NRMC ON ADMANRMC ( ANRMC_COND_FRETE );
CREATE        INDEX ADM11NRMC ON ADMANRMC ( ANRMC_CHAVE_NFE );
CREATE        INDEX ADM12NRMC ON ADMANRMC ( ANRMC_TIPO,
                                            ANRMC_FORNECEDOR );
CREATE        INDEX ADM13NRMC ON ADMANRMC ( ANRMC_PROTOCOLO );
CREATE        INDEX ADM14NRMC ON ADMANRMC ( ANRMC_MATR_AUTO );
CREATE        INDEX ADM15NRMC ON ADMANRMC ( ANRMC_EMPRESA,
                                            ANRMC_UNIDADE,
                                            ANRMC_CHAVE_NFE );
GRANT ALL ON ADMANRMC TO BYTEC;

DROP TABLE ADMWNRMC;

COMMIT;

