
CREATE TABLE GRLACAIP (
       ACAIP_CODIGO          CHAR(3)   NOT NULL,
       ACAIP_DESCRICAO       CHAR(80)  NOT NULL,
       ACAIP_ABREVIADA       CHAR(20)  NOT NULL,
       ACAIP_COD_APURA       CHAR(3)   NOT NULL,
       ACAIP_NAT_AJ          CHAR(1)   NOT NULL );

INSERT INTO GRLACAIP VALUES ('001','ESTORNO DE DEBITO                                                               ',
'ESTORNO DE DEBITO   ','004','C');
INSERT INTO GRLACAIP VALUES ('002','CREDITO RECEBIDO POR TRANSFERENCIA                                              ',
'CRED.TRANSF.RECEBIDA','005','C');
INSERT INTO GRLACAIP VALUES ('010','CREDITO PRESUMIDO DE IPI-RESSARCIMENTO DO PIS/COFINS-LEI NRO9.363/1996          ',
'CRED.PRE.LEI9363/96 ','005','C');
INSERT INTO GRLACAIP VALUES ('011','CREDITO PRESUMIDO DE IPI-RESSARCIMENTO DO PIS/COFINS-LEI NRO10.276/2001         ',
'CRED.PRE.LEI10276/01','005','C');
INSERT INTO GRLACAIP VALUES ('012','CREDITO PRESUMIDO DE IPI-REGIOES INCENTIVADAS-LEI NRO9.826/1999                 ',
'CRED.PRE.REGIOES    ','005','C');
INSERT INTO GRLACAIP VALUES ('013','CREDITO PRESUMIDO DE IPI-FRETE-MP 2.158/2001                                    ',
'CRED.PRE.FRETE      ','005','C');
INSERT INTO GRLACAIP VALUES ('019','CREDITO PRESUMIDO DE IPI-OUTROS                                                 ',
'CRED.PRE.OUTROS     ','005','C');
INSERT INTO GRLACAIP VALUES ('098','CREDITOS DECORRENTES DE MEDIDA JUDICIAL                                         ',
'CREDITO JUDICIAL    ','005','C');
INSERT INTO GRLACAIP VALUES ('099','OUTROS CREDITOS                                                                 ',
'OUTROS CREDITOS     ','005','C');
INSERT INTO GRLACAIP VALUES ('101','ESTORNO DE CREDITO                                                              ',
'ESTORNO DE CREDITO  ','010','D');
INSERT INTO GRLACAIP VALUES ('102','TRANSFERENCIA DE CREDITO                                                        ',
'TRANSF.DE CREDITO   ','012','D');
INSERT INTO GRLACAIP VALUES ('103','RESSARCIMENTO/COMPENSACAO DE CREDITOS DE IPI                                    ',
'RESS./COMP.CREDITO  ','011','D');
INSERT INTO GRLACAIP VALUES ('199','OUTROS DEBITOS                                                                  ',
'OUTROS DEBITOS      ','012','D');

CREATE UNIQUE INDEX GRL1CAIP ON GRLACAIP ( ACAIP_CODIGO );
GRANT ALL ON GRLACAIP TO BYTEC;

COMMIT;

