
CREATE TABLE GRLWMATR (
       AMATR_MATRICULA       CHAR(15)  NOT NULL,
       AMATR_NOME            CHAR(80)  NOT NULL,
       AMATR_ABREVIADA       CHAR(20)  NOT NULL,
       AMATR_SENHA           CHAR(8)   NOT NULL,
       AMATR_RENOVA          CHAR(8)   NOT NULL,
       AMATR_PRIORIDADE      CHAR(1)   NOT NULL,
       AMATR_SELETOR         CHAR(4)   NOT NULL,
       AMATR_ORGAO           CHAR(8)   NOT NULL,
       AMATR_GRUPO           CHAR(2)   NOT NULL,
       AMATR_TEXTO_01        CHAR(1)   NOT NULL,
       AMATR_TEXTO_02        CHAR(1)   NOT NULL,
       AMATR_TEXTO_03        CHAR(1)   NOT NULL,
       AMATR_TEXTO_04        CHAR(1)   NOT NULL,
       AMATR_TEXTO_05        CHAR(1)   NOT NULL,
       AMATR_TEXTO_06        CHAR(1)   NOT NULL,
       AMATR_TEXTO_07        CHAR(1)   NOT NULL,
       AMATR_TEXTO_08        CHAR(1)   NOT NULL,
       AMATR_TEXTO_09        CHAR(1)   NOT NULL,
       AMATR_TEXTO_10        CHAR(1)   NOT NULL,
       AMATR_EMPRESA_C       CHAR(1)   NOT NULL,
       AMATR_EMPRESA_F       CHAR(1)   NOT NULL,
       AMATR_EMPRESA_R       CHAR(1)   NOT NULL,
       AMATR_EMPRESA_T       CHAR(1)   NOT NULL,
       AMATR_EMPRESA_O       CHAR(1)   NOT NULL,
       AMATR_PROGRAMA1       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA2       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA3       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA4       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA5       CHAR(8)   NOT NULL,
       AMATR_EMAIL           CHAR(50)  NOT NULL,
       AMATR_DILI            CHAR(2)   NOT NULL,
       AMATR_PRGR            CHAR(2)   NOT NULL,
       AMATR_COOR            CHAR(2)   NOT NULL,
       AMATR_CMPR            CHAR(2)   NOT NULL,
       AMATR_STS_ATIVA       CHAR(1)   NOT NULL );

CREATE TABLE LOGWEMPR (
       EMPRESA               CHAR(2)  NOT NULL,
       UNIDADE               CHAR(8)  NOT NULL,
       MATRICULA             CHAR(15) NOT NULL,
       DATA_LOG_EMPR         CHAR(8)  NOT NULL,
       HORA_LOG_EMPR         CHAR(10) NOT NULL,
       OPER_LOG_EMPR         CHAR(1)  NOT NULL,
       AEMPR_TIPO            CHAR(1),
       AEMPR_CODIGO          CHAR(5),
       AEMPR_CGC             CHAR(15),
       AEMPR_CPF             CHAR(11),
       AEMPR_RAZAO_SOCIAL    CHAR(55),
       AEMPR_NOME_ABREV      CHAR(20),
       AEMPR_DILI            CHAR(2),
       AEMPR_REPR            CHAR(5),
       AEMPR_CONTA           CHAR(11),
       AEMPR_STATUS          CHAR(2),
       AEMPR_CGC_CPF         CHAR(1),
       AEMPR_INSC_EST        CHAR(15),
       AEMPR_INSC_MUN        CHAR(15),
       AEMPR_RUA_AV          CHAR(40),
       AEMPR_NRO             DEC(5,0),
       AEMPR_COMPL           CHAR(10),
       AEMPR_BAIRRO_DIST     CHAR(30),
       AEMPR_CEP             DEC(8,0),
       AEMPR_CIDADE          CHAR(30),
       AEMPR_ESTADO          CHAR(2),
       AEMPR_NOME_CONT1      CHAR(20),
       AEMPR_FONE_CONT1      CHAR(20),
       AEMPR_TELEX_CONT1     CHAR(20),
       AEMPR_FAX_CONT1       CHAR(20),
       AEMPR_NOME_CONT2      CHAR(20),
       AEMPR_FONE_CONT2      CHAR(20),
       AEMPR_TELEX_CONT2     CHAR(20),
       AEMPR_FAX_CONT2       CHAR(20),
       AEMPR_NOME_CONT3      CHAR(20),
       AEMPR_FONE_CONT3      CHAR(20),
       AEMPR_TELEX_CONT3     CHAR(20),
       AEMPR_DT_ULT_ATUAL    CHAR(8),
       AEMPR_DT_CADASTRO     CHAR(8),
       AEMPR_CEP_POSTAL      DEC(8,0),
       AEMPR_CAIXA_POSTAL    CHAR(10),
       AEMPR_OBSERVACOES     CHAR(55),
       AEMPR_PAIS            CHAR(2));

INSERT INTO GRLWMATR SELECT AMATR_MATRICULA,AMATR_NOME,AMATR_ABREVIADA,
AMATR_SENHA,AMATR_RENOVA,AMATR_PRIORIDADE,AMATR_SELETOR,AMATR_ORGAO,
AMATR_GRUPO,AMATR_TEXTO_01,AMATR_TEXTO_02,AMATR_TEXTO_03,AMATR_TEXTO_04,
AMATR_TEXTO_05,AMATR_TEXTO_06,AMATR_TEXTO_07,AMATR_TEXTO_08,AMATR_TEXTO_09,
AMATR_TEXTO_10,'0','0','0','0','0',AMATR_PROGRAMA1,AMATR_PROGRAMA2,
AMATR_PROGRAMA3,AMATR_PROGRAMA4,AMATR_PROGRAMA5,AMATR_EMAIL,AMATR_DILI,
AMATR_PRGR,AMATR_COOR,AMATR_CMPR,AMATR_STS_ATIVA FROM GRLAMATR;

INSERT INTO LOGWEMPR (EMPRESA,UNIDADE,MATRICULA,DATA_LOG_EMPR,
HORA_LOG_EMPR,OPER_LOG_EMPR,AEMPR_TIPO,AEMPR_CODIGO,AEMPR_CGC,
AEMPR_CPF,AEMPR_RAZAO_SOCIAL,AEMPR_CONTA,AEMPR_INSC_EST,AEMPR_INSC_MUN,
AEMPR_CIDADE,AEMPR_ESTADO,AEMPR_PAIS) SELECT EMPRESA,UNIDADE,
MATRICULA,DATA_LOG_EMPR,HORA_LOG_EMPR,OPERACAO_LOG_EMPR,TIPO_EMPRESA,
COD_EMPRESA,CGC_EMPRESA,CPF_EMPRESA,RAZAO_SOCIAL,CONTA_EMPRESA,
INSCRICAO_ESTADUAL,INSC_MUNICIPAL,CIDADE_EMPRESA,ESTADO_EMPRESA,PAIS 
FROM LOGAEMPR;

DROP TABLE GRLAMATR;

DROP TABLE LOGAEMPR;

CREATE TABLE GRLAMATR (
       AMATR_MATRICULA       CHAR(15)  NOT NULL,
       AMATR_NOME            CHAR(80)  NOT NULL,
       AMATR_ABREVIADA       CHAR(20)  NOT NULL,
       AMATR_SENHA           CHAR(8)   NOT NULL,
       AMATR_RENOVA          CHAR(8)   NOT NULL,
       AMATR_PRIORIDADE      CHAR(1)   NOT NULL,
       AMATR_SELETOR         CHAR(4)   NOT NULL,
       AMATR_ORGAO           CHAR(8)   NOT NULL,
       AMATR_GRUPO           CHAR(2)   NOT NULL,
       AMATR_TEXTO_01        CHAR(1)   NOT NULL,
       AMATR_TEXTO_02        CHAR(1)   NOT NULL,
       AMATR_TEXTO_03        CHAR(1)   NOT NULL,
       AMATR_TEXTO_04        CHAR(1)   NOT NULL,
       AMATR_TEXTO_05        CHAR(1)   NOT NULL,
       AMATR_TEXTO_06        CHAR(1)   NOT NULL,
       AMATR_TEXTO_07        CHAR(1)   NOT NULL,
       AMATR_TEXTO_08        CHAR(1)   NOT NULL,
       AMATR_TEXTO_09        CHAR(1)   NOT NULL,
       AMATR_TEXTO_10        CHAR(1)   NOT NULL,
       AMATR_EMPRESA_C       CHAR(1)   NOT NULL,
       AMATR_EMPRESA_F       CHAR(1)   NOT NULL,
       AMATR_EMPRESA_R       CHAR(1)   NOT NULL,
       AMATR_EMPRESA_T       CHAR(1)   NOT NULL,
       AMATR_EMPRESA_O       CHAR(1)   NOT NULL,
       AMATR_PROGRAMA1       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA2       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA3       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA4       CHAR(8)   NOT NULL,
       AMATR_PROGRAMA5       CHAR(8)   NOT NULL,
       AMATR_EMAIL           CHAR(50)  NOT NULL,
       AMATR_DILI            CHAR(2)   NOT NULL,
       AMATR_PRGR            CHAR(2)   NOT NULL,
       AMATR_COOR            CHAR(2)   NOT NULL,
       AMATR_CMPR            CHAR(2)   NOT NULL,
       AMATR_STS_ATIVA       CHAR(1)   NOT NULL );

CREATE TABLE LOGAEMPR (
       EMPRESA               CHAR(2)  NOT NULL,
       UNIDADE               CHAR(8)  NOT NULL,
       MATRICULA             CHAR(15) NOT NULL,
       DATA_LOG_EMPR         CHAR(8)  NOT NULL,
       HORA_LOG_EMPR         CHAR(10) NOT NULL,
       OPER_LOG_EMPR         CHAR(1)  NOT NULL,
       AEMPR_TIPO            CHAR(1),
       AEMPR_CODIGO          CHAR(5),
       AEMPR_CGC             CHAR(15),
       AEMPR_CPF             CHAR(11),
       AEMPR_RAZAO_SOCIAL    CHAR(55),
       AEMPR_NOME_ABREV      CHAR(20),
       AEMPR_DILI            CHAR(2),
       AEMPR_REPR            CHAR(5),
       AEMPR_CONTA           CHAR(11),
       AEMPR_STATUS          CHAR(2),
       AEMPR_CGC_CPF         CHAR(1),
       AEMPR_INSC_EST        CHAR(15),
       AEMPR_INSC_MUN        CHAR(15),
       AEMPR_RUA_AV          CHAR(40),
       AEMPR_NRO             DEC(5,0),
       AEMPR_COMPL           CHAR(10),
       AEMPR_BAIRRO_DIST     CHAR(30),
       AEMPR_CEP             DEC(8,0),
       AEMPR_CIDADE          CHAR(30),
       AEMPR_ESTADO          CHAR(2),
       AEMPR_NOME_CONT1      CHAR(20),
       AEMPR_FONE_CONT1      CHAR(20),
       AEMPR_TELEX_CONT1     CHAR(20),
       AEMPR_FAX_CONT1       CHAR(20),
       AEMPR_NOME_CONT2      CHAR(20),
       AEMPR_FONE_CONT2      CHAR(20),
       AEMPR_TELEX_CONT2     CHAR(20),
       AEMPR_FAX_CONT2       CHAR(20),
       AEMPR_NOME_CONT3      CHAR(20),
       AEMPR_FONE_CONT3      CHAR(20),
       AEMPR_TELEX_CONT3     CHAR(20),
       AEMPR_DT_ULT_ATUAL    CHAR(8),
       AEMPR_DT_CADASTRO     CHAR(8),
       AEMPR_CEP_POSTAL      DEC(8,0),
       AEMPR_CAIXA_POSTAL    CHAR(10),
       AEMPR_OBSERVACOES     CHAR(55),
       AEMPR_PAIS            CHAR(2));

INSERT INTO GRLAMATR SELECT * FROM GRLWMATR;

INSERT INTO LOGAEMPR SELECT * FROM LOGWEMPR;

CREATE UNIQUE INDEX GRL1MATR ON GRLAMATR ( AMATR_MATRICULA );
CREATE        INDEX GRL2MATR ON GRLAMATR ( AMATR_ORGAO );
CREATE        INDEX GRL3MATR ON GRLAMATR ( AMATR_GRUPO );
CREATE        INDEX GRL4MATR ON GRLAMATR ( AMATR_DILI );
CREATE        INDEX GRL5MATR ON GRLAMATR ( AMATR_PRGR );
CREATE        INDEX GRL6MATR ON GRLAMATR ( AMATR_COOR );
CREATE        INDEX GRL7MATR ON GRLAMATR ( AMATR_CMPR );
GRANT ALL ON GRLAMATR TO BYTEC;

CREATE        INDEX LOG1EMPR ON LOGAEMPR ( EMPRESA,
                                           UNIDADE,
                                           MATRICULA,
                                           DATA_LOG_EMPR,
                                           HORA_LOG_EMPR );
CREATE        INDEX LOG2EMPR ON LOGAEMPR ( MATRICULA );
CREATE        INDEX LOG3EMPR ON LOGAEMPR ( AEMPR_TIPO,
                                           AEMPR_CODIGO,
                                           DATA_LOG_EMPR,
                                           HORA_LOG_EMPR );
GRANT ALL ON LOGAEMPR TO BYTEC;

DROP TABLE GRLWMATR;

DROP TABLE LOGWEMPR;

COMMIT;


